Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SGTTRS

    java.lang.Object
      org.netlib.lapack.SGTTRS

    public class SGTTRS

extends java.lang.Object

    SGTTRS is a simplified interface to the JLAPACK routine sgttrs.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SGTTRS solves one of the systems of equations
     *     A*X = B  or  A'*X = B,
     *  with a tridiagonal matrix A using the LU factorization computed
     *  by SGTTRF.
     *
     *  Arguments
     *  =========
     *
     *  TRANS   (input) CHARACTER*1
     *          Specifies the form of the system of equations.
     *          = 'N':  A * X = B  (No transpose)
     *          = 'T':  A'* X = B  (Transpose)
     *          = 'C':  A'* X = B  (Conjugate transpose = Transpose)
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.
     *
     *  NRHS    (input) INTEGER
     *          The number of right hand sides, i.e., the number of columns
     *          of the matrix B.  NRHS >= 0.
     *
     *  DL      (input) REAL array, dimension (N-1)
     *          The (n-1) multipliers that define the matrix L from the
     *          LU factorization of A.
     *
     *  D       (input) REAL array, dimension (N)
     *          The n diagonal elements of the upper triangular matrix U from
     *          the LU factorization of A.
     *
     *  DU      (input) REAL array, dimension (N-1)
     *          The (n-1) elements of the first super-diagonal of U.
     *
     *  DU2     (input) REAL array, dimension (N-2)
     *          The (n-2) elements of the second super-diagonal of U.
     *
     *  IPIV    (input) INTEGER array, dimension (N)
     *          The pivot indices; for 1 <= i <= n, row i of the matrix was
     *          interchanged with row IPIV(i).  IPIV(i) will always be either
     *          i or i+1; IPIV(i) = i indicates a row interchange was not
     *          required.
     *
     *  B       (input/output) REAL array, dimension (LDB,NRHS)
     *          On entry, the matrix of right hand side vectors B.
     *          On exit, B is overwritten by the solution vectors X.
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B.  LDB >= max(1,N).
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`SGTTRS()`

Method Summary
`static void` | `SGTTRS(java.lang.String trans, int n, int nrhs, float[] dl, float[] d, float[] du, float[] du2, int[] ipiv, float[][] b, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SGTTRS

    public SGTTRS()

Method Detail

### SGTTRS

    public static void SGTTRS(java.lang.String trans,
                              int n,
                              int nrhs,
                              float[] dl,
                              float[] d,
                              float[] du,
                              float[] du2,
                              int[] ipiv,
                              float[][] b,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD